Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
hirax
Pingviini aktivist
Pingviini aktivist


Vanus: 49
Liitunud: 25.10.2013
Postitused: 251
Asukoht: maal ja merel
Distributsioon: Mint 18.2 KDE, Kubuntu18.04, Linux Lite
estonia.gif
postituspostitatud: 19.12.2013, 20:24  postituse pealkiri:  (teema puudub)  

Sander kirjutas:
ainult Mint 16 ei saa hakkama, nagu eelpool kirjutasin.

Selleks on isegi aadressil http://www.id.ee/?id=35974 juhend

Mint 16 Cinnamoni puhul annab sellise veateate

ERROR: Failed to add module "opensc-pkcs11". Probable cause : "Failure to load dynamic library".
Mint 13 Xfce sai sellega hakkama Very Happy
Module "opensc-pkcs11" added to database.
Chrome ja firefox saavad nüüd mõlemad kaardiga hakkama. Pin2 pole veel olnud vajadust testida. Ainuke väline erinevus on, et nüüd põleb kaardilugeja tuluke pidevalt isegi siis kui veebibrauser kinni on.
Igatahes edukas päev Very Happy


Sander
Vana Pingviin
Vana Pingviin



Liitunud: 14.10.2007
Postitused: 615


estonia.gif
postituspostitatud: 19.12.2013, 22:43  postituse pealkiri:  (teema puudub)  

Segadused Mint 16 Cinnamoni, Chromiumi ja id-kaardiga jätkuvad
Avasin huvi pärast Chromiumi seaded>HTTPS/SSL>Halda serte ja ime küll, küsiti pini, klikkisin ja pärast seda hakkas id-kaart tööle, sain igale poole sisse logida. Kui olin brauseri sulgenud ja uuesti avanud, olin algseisus tagasi - id-kaart ei toiminud jälle. Läksin uuesti seaded>HTTPS/SSL>Halda serte ja jälle hakkas id-kaart tööle. Mul käib see värk üle mõistuse


natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 20.12.2013, 19:04  postituse pealkiri:  (teema puudub)  

Tänane proov: Linux Mint 16 Cinnamon.

Kaart töötab ilusti kõigis installitud bauserites: Google Crome, Cromium ja muidugi Firefox.

opensc 0.13.0-3ubuntu1-1

_________________
Kõige parem asi on töötav asi.

imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2566
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 20.12.2013, 19:09  postituse pealkiri:  (teema puudub)  

OT!
Ühe huvitava bugi leidsin eesti.ee lehel.
Nimelt, sisselogituna eesti.ee lehele, siis lehel, nime kõrval, oli minu pisipilt - minu puhul osutus selleks keegi hallipäine härra ja lipsuga Smile
Pildil klikkides laaditi alla minu enda pilt õnneks Smile

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

Sander
Vana Pingviin
Vana Pingviin



Liitunud: 14.10.2007
Postitused: 615


estonia.gif
postituspostitatud: 20.12.2013, 19:14  postituse pealkiri:  (teema puudub)  

imre kirjutas:
OT!
Ühe huvitava bugi leidsin eesti.ee lehel.
Nimelt, sisselogituna eesti.ee lehele, siis lehel, nime kõrval, oli minu pisipilt - minu puhul osutus selleks keegi hallipäine härra ja lipsuga Smile
Pildil klikkides laaditi alla minu enda pilt õnneks Smile

Mul on seal üks kaunis daam, naine vaatas kõrvalt ja ehmatas ära, et kes see sul seal on


topil
Uus kasutaja
Uus kasutaja



Liitunud: 04.02.2013
Postitused: 6


blank.gif
postituspostitatud: 23.12.2013, 20:11  postituse pealkiri:  (teema puudub)  

Sander kirjutas:
topil kirjutas:
Chrome pole kunagi linuxi all ID kaardiga töödanud, Chromium ilmselt ka ei tööta. Ei ole ammu jälgind seda arendust, aga kunagi oli vähemalt nii, et Chrome Win peal kasutas sama moodulit mis IE ning FF oli omaette. Võibolla on ajad muutnud.


On ikka töötanud ja mul töötab osade buntulistega praegugi, ainult Mint 16 ei saa hakkama, nagu eelpool kirjutasin.

Selleks on isegi aadressil http://www.id.ee/?id=35974 juhend

"ID-tarkvara ver. 3.8 (avalikustatud 10.12.2013) https://installer.id.ee

Selleks, et Ubuntus autentimine ID-kaardiga Google Chrome ja Chromium veebilehitsejas toimima hakkaks, peab olema paigaldatud pakett lbnss3-tools. Selle paigaldamiseks tuleb käsurealt anda käsk:

sudo apt-get install libnss3-tools

Seejärel käivitada veebilehitseja ja sulge see uuesti. Sisesta nüüd käsk:

modutil -dbdir sql:$HOME/.pki/nssdb -add opensc-pkcs11 -libfile opensc-pkcs11.so -mechanisms FRIENDLY

Viimane tegevus tuleb igal kasutaja puhul eraldi teha."

Mint 16 Cinnamoni puhul annab sellise veateate

ERROR: Failed to add module "opensc-pkcs11". Probable cause : "Failure to load dynamic library".

Tip top. Ei olnud sellest isegi teadlik. Aasta tagasi sai proovitud ja siis ei töötand. Ehk ei osanud. Aga igaljuhul hea uudis! Smile


paadikapten
Pingviini aktivist
Pingviini aktivist


Vanus: 37
Liitunud: 26.01.2007
Postitused: 280
Asukoht: Tartu
Distributsioon: Debian/Ubuntu suguharu ja pisidistrod
estonia.gif
postituspostitatud: 25.12.2013, 08:43  postituse pealkiri:  (teema puudub)  

topil kirjutas:
Sander kirjutas:
topil kirjutas:
Chrome pole kunagi linuxi all ID kaardiga töödanud, Chromium ilmselt ka ei tööta. Ei ole ammu jälgind seda arendust, aga kunagi oli vähemalt nii, et Chrome Win peal kasutas sama moodulit mis IE ning FF oli omaette. Võibolla on ajad muutnud.


On ikka töötanud ja mul töötab osade buntulistega praegugi, ainult Mint 16 ei saa hakkama, nagu eelpool kirjutasin.

Selleks on isegi aadressil http://www.id.ee/?id=35974 juhend

"ID-tarkvara ver. 3.8 (avalikustatud 10.12.2013) https://installer.id.ee

Selleks, et Ubuntus autentimine ID-kaardiga Google Chrome ja Chromium veebilehitsejas toimima hakkaks, peab olema paigaldatud pakett lbnss3-tools. Selle paigaldamiseks tuleb käsurealt anda käsk:

sudo apt-get install libnss3-tools

Seejärel käivitada veebilehitseja ja sulge see uuesti. Sisesta nüüd käsk:

modutil -dbdir sql:$HOME/.pki/nssdb -add opensc-pkcs11 -libfile opensc-pkcs11.so -mechanisms FRIENDLY

Viimane tegevus tuleb igal kasutaja puhul eraldi teha."

Mint 16 Cinnamoni puhul annab sellise veateate

ERROR: Failed to add module "opensc-pkcs11". Probable cause : "Failure to load dynamic library".

Tip top. Ei olnud sellest isegi teadlik. Aasta tagasi sai proovitud ja siis ei töötand. Ehk ei osanud. Aga igaljuhul hea uudis! Smile


Mul ei hakanud ID-kaart Chromega tööle. Firefoxi all toimib. Ubuntu 12.04, klassikalise Gnomega.

_________________
Ideaalne distro on lihtne, töökindel ja praktiline. Windowsilt ümberõppimine võiks piirduda ühe õhtuga.

hannes
Pingviini aktivist
Pingviini aktivist


Vanus: 34
Liitunud: 18.06.2009
Postitused: 213
Asukoht: Pärnu
Distributsioon: Debian | Ubuntu
estonia.gif
postituspostitatud: 25.12.2013, 10:17  postituse pealkiri:  (teema puudub)  

Tean küll, et Debian pole ametlikult toetatud, aga testinguga sai Ubuntu installiskriptiga kenasti tööle. Enamasti ei taha haldusvahend kaarti lugeda, kuid kui avada ka digidoc client, siis hakkab lugema hakkama. Brauser toimetab ka kenasti. Debian wheezy'ga ei õnnestu midagi installida, sõltuvusprobleemid. Selle õpetusega polnud ka 3.8 puhul midagi peale hakata. Tea, kas stablega üldse võimalik seda tööle saada?


obundra
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 04.08.2005
Postitused: 1213
Asukoht: 127.0.0.1
Distributsioon: RHEL, Solaris, Debian, Gentoo
estonia.gif
postituspostitatud: 25.12.2013, 12:52  postituse pealkiri:  (teema puudub)  

hannes kirjutas:
Tea, kas stablega üldse võimalik seda tööle saada?

64bit stablega sain tööle küll.Tirisin https://bitbucket.org/lauri.vosandi/esteid-packaging lehelt zip faili, pakkisin lahti, igasse packaging/alamkataloog/debian kataloogi pakkisin lahti id.ee lehelt tiritud vastava paki versioon 3.8 sortsu ja siis lasin *esteid-packaging juurkaustast make käima.

_________________
IT teenused

hannes
Pingviini aktivist
Pingviini aktivist


Vanus: 34
Liitunud: 18.06.2009
Postitused: 213
Asukoht: Pärnu
Distributsioon: Debian | Ubuntu
estonia.gif
postituspostitatud: 26.12.2013, 22:26  postituse pealkiri:  (teema puudub)  

Obundra, ehk ei tee tüli täpsem juhend lisada? Seal id.ee lehel ei paistnud muidu kõiki pakke olevat, olemasolevat tõmbasin ja pakkisin lahti sinna kuhu vaja, kuid make käimalaskmisel ilmub:
Kood:
make: *** No rule to make target `build/amd64/esteidcerts-3.8.0.9128', needed by `build/amd64/esteidcerts-3.8.0.9128/debian'.  Stop.

Build-essential paki installisin, kaasa tuli veel igasugu asju, kas midagi on veel vaja? Juhm nagu ma olen, sortsust installimine pole mulle siiani kuigi läbinähtav värk olnud ja üleüldse võiks Debian testinguga edasi leppida, kui ta mul töötab (turvauuendused olevat suurema viivisega). Aga no see juba teine teema.


obundra
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 04.08.2005
Postitused: 1213
Asukoht: 127.0.0.1
Distributsioon: RHEL, Solaris, Debian, Gentoo
estonia.gif
postituspostitatud: 27.12.2013, 11:58  postituse pealkiri:  (teema puudub)  

Need tiritud serdid tuli koos kataloogiga kopeerida, et oleks build/amd64/esteidcerts-3.8.0.9128.Ma kirjutasin mälu järgi selle, kuidas ise tegin.Hetkel täpsema juhendi jaoks pole aega.Äkki v6sa ise viitsiks toda makefile täiendada, et kõik automaagiliselt toimuks?
E: Võid tirida minu kausta ja seal "make" käima lasta või kasutada sealt juba valmis *.deb pakke. http://obundra.dyndns.org/esteid.tar , kaalub üle 700MB ja uplink on 1 mega ringis.

_________________
IT teenused

hannes
Pingviini aktivist
Pingviini aktivist


Vanus: 34
Liitunud: 18.06.2009
Postitused: 213
Asukoht: Pärnu
Distributsioon: Debian | Ubuntu
estonia.gif
postituspostitatud: 27.12.2013, 15:05  postituse pealkiri:  (teema puudub)  

Sain olemasolevate deb pakkidega hakkama, suur tänu!

E: Chromiumiga ei saa värki tööle. Siiani olen enne saanud, täna enam ei saa. Terminalis annan käsud
Kood:
modutil  -dbdir sql:$HOME/.pki/nssdb -delete opensc-pkcs11
modutil  -dbdir sql:$HOME/.pki/nssdb -add opensc-pkcs11 -libfile onepin-opensc-pkcs11.so -mechanisms FRIENDLY

Esimene neist on alati andnud teate, et ei saa kustutada, teine käsk on alati õnnestunud (ennemalt 3.7.2 versiooniga ning Debian testingul ka 3.Cool, kuid nüüd stablega 3.8 puhul teatab
ERROR: Failed to add module "opensc-pkcs11". Probable cause : "onepin-opensc-pkcs11.so: cannot open shared object file: No such file or directory".
Kus mida tegema peaks, et ka Chromiumiga asja tööle saaks?


hirax
Pingviini aktivist
Pingviini aktivist


Vanus: 49
Liitunud: 25.10.2013
Postitused: 251
Asukoht: maal ja merel
Distributsioon: Mint 18.2 KDE, Kubuntu18.04, Linux Lite
estonia.gif
postituspostitatud: 28.12.2013, 00:04  postituse pealkiri:  (teema puudub)  

merike kirjutas:
Huvitav, kas nad selle mooduli automaatset eemaldamist vms ei plaani? Kui see enam vajalik pole, siis võiks selle tarkvaraliselt sealt eemaldada, mitte sundida kasutajaid seadete rägastikus orienteeruma...
Ei tea kas nad nüüdseks on midagi muutnud, aga täna oma lauaarvutisse peale Mint13 xfce 64bit installimist ja muudetud automaatskripti installimist seda PIN2 küsimise jama ei tekkinudki Smile
Chrome sai ka kohe peale selle paki ( sudo apt-get install libnss3-tools ) installi ID kaardiga "sõbraks" http://www.id.ee/?id=35974
Paraku Chromiumi kohta kaasa rääkida ei oska Crying or Very sad


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2566
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 28.12.2013, 15:05  postituse pealkiri:  (teema puudub)  

hannes kirjutas:

E: Chromiumiga ei saa värki tööle. Siiani olen enne saanud, täna enam ei saa. Terminalis annan käsud
Kood:
modutil  -dbdir sql:$HOME/.pki/nssdb -delete opensc-pkcs11
modutil  -dbdir sql:$HOME/.pki/nssdb -add opensc-pkcs11 -libfile onepin-opensc-pkcs11.so -mechanisms FRIENDLY


ERROR: Failed to add module "opensc-pkcs11". Probable cause : "onepin-opensc-pkcs11.so: cannot open shared object file: No such file or directory".
Kus mida tegema peaks, et ka Chromiumiga asja tööle saaks?

modutil -dbdir sql:$HOME/.pki/nssdb -add opensc-pkcs11 -libfile opensc-pkcs11.so -mechanisms FRIENDLY
Selline rida peaks ikka olema.
Mul töötab Firefoxi, chrome ja chromiumiga kenasti ID kaart.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

hannes
Pingviini aktivist
Pingviini aktivist


Vanus: 34
Liitunud: 18.06.2009
Postitused: 213
Asukoht: Pärnu
Distributsioon: Debian | Ubuntu
estonia.gif
postituspostitatud: 28.12.2013, 17:03  postituse pealkiri:  (teema puudub)  

Selge, töötab. Selle rea, mida proovisin, leidsin sealt 3.7 installimise õpetusest.

_________________
Abielus ja kahe lapse isa. Tor'i ei kasuta. Järelikult mõttetu mees Smile

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 28.12.2013, 18:56  postituse pealkiri:  (teema puudub)  

LMDE: Ubuntu 12.04 /home/user /.pki MC abil kataloogi LMDE /home/user ja Crome ning Cromium hakkasid tööle.

Ei viitsinud(ei oska) veateatega midagi peale hakata.

Ilmselt ilus ei ole, aga töötab. Smile

Mõlemad op-süsteemid samas masinas.

_________________
Kõige parem asi on töötav asi.

martin504
Pingviini külastaja
Pingviini külastaja



Liitunud: 24.01.2012
Postitused: 32

Distributsioon: Linux Mint
estonia.gif
postituspostitatud: 29.12.2013, 13:02  postituse pealkiri:  (teema puudub)  

Tundub, et sain Linux Mint 13's asja enamvähem tööle. ID-kaardi haldur ei taha vahel kaardilugejat üles leida, kuid siis tuleb lugeja USB pesast välja tõmmata ja tagasi ühendada.


Kai-do
Pingviini külastaja
Pingviini külastaja


Vanus: 40
Liitunud: 01.08.2013
Postitused: 31
Asukoht: Tallinn

estonia.gif
postituspostitatud: 29.12.2013, 14:36  postituse pealkiri:  (teema puudub)  

Ma ei saa Ubuntu 13.10 64-bit masinal automaatskriptiga ID kaardi värki peale...
Ubuntu on värskelt installitud, eelmist ID kaardi versiooni ees pole.

1) Universe ja multiverse on aktiveeritud ja terminalis "sudo apt-get update" käsuga uuendatud.

2) Laadisin automaatse skripti "install-esteid-ubuntu.sh" download kausta.

3) Käivitasin terminalis "sudo sh install-esteid-ubuntu.sh", kuid sain vastuseks "sh: 0: Can't open install-esteid-ubuntu.sh"

Mis valesti võib olla?


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 29.12.2013, 14:56  postituse pealkiri:  (teema puudub)  

ei kasuta seda id kaarti junni aga ehk on abiks kui annad õigused sellele failile
Kood:

chmod a+x install-esteid-ubuntu.sh

ja proovid siis käivitada, kui ei toimi siis proovi käsku
Kood:
./install-esteid-ubuntu.sh


...ja tee seda ikka seal Download kaustas olles Very Happy


ja siin miskit maakeelsest juttu leitsin googel-moogeliga http://viki.pingviin.org/ID-kaart_Ubuntus


Kai-do
Pingviini külastaja
Pingviini külastaja


Vanus: 40
Liitunud: 01.08.2013
Postitused: 31
Asukoht: Tallinn

estonia.gif
postituspostitatud: 29.12.2013, 15:02  postituse pealkiri: Great ! (teema puudub)  

Tee on konarlik, kuid õpetlik..
Tänan, IFFI!

Download kausta vihje pani mingi pirni põlema kuskil...
Tõstsin skripti Home kataloogi ja siis terminalis käivitades hakkas toimetama Smile

Edit: Sain 13.10 Ubuntu 64-bit peal ID-kaardi tööle!

http://id.ee/index.php?id=34225 lehel on öeldud:

Selleks, et ID-kaardi tarkvara skripti abil paigaldada, tuleb oma Linuxi distributsioonile vastav skript salvestada kõvakettale ja siis käivitada terminali aknas administraatori/root õigustes. Täpsed käsud ja skriptide asukohad leiate vastava Linuxi distrubutsiooni alajaotuse alt.

Kuskil pole kirjas, et fail peab olema salvestatud Home kataloogi ja Download kaustast seda tõesti käima ei saanud....


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group